### Function

# Pango attr_allow_breaks_new

since: 1.44

#### Declaration [src]

    PangoAttribute*
    pango_attr_allow_breaks_new (
      gboolean allow_breaks
    )

#### Description [src]

Create a new allow-breaks attribute.

If breaks are disabled, the range will be kept in a single run, as far as possible.

Available since: 1.44

#### Parameters

`allow_breaks`

  Type: `gboolean`

  `TRUE` if we line breaks are allowed.

#### Return value

Type: `PangoAttribute`

The newly allocated `PangoAttribute`, which should be freed with `pango_attribute_destroy()`.

The caller of the function takes ownership of the data, and is responsible for freeing it.